Bug 192491 - Review Request: python-vorbis - A Python wrapper for the Ogg Vorbis audio libraries
Review Request: python-vorbis - A Python wrapper for the Ogg Vorbis audio lib...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On: 192490
Blocks: FE-ACCEPT 193103
  Show dependency treegraph
 
Reported: 2006-05-19 23:06 EDT by Hugo Cisneiros
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 06:24:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jwboyer: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hugo Cisneiros 2006-05-19 23:06:48 EDT
Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/python-vorbis.spec
SRPM URL: http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/python-vorbis-1.3-1.src.rpm
Description: 

An object-oriented Python binding for the Ogg Vorbis libraries. Ogg is
a multimedia bitstream format. With this you can write your own python
applications to play and encode audio files in Ogg Vorbis format.

Note:

This requires the python-ogg library to build. Check Bug #192490.
Comment 1 Hans de Goede 2006-05-20 08:12:47 EDT
Hugo,

Good to see you're packing more stuff for FE I'm glad I sponsored you. I'll try
to review this for you, but I'm currently a bit busy. So this is as time permits. 

Because of this I'm not assigning this bug to myself untill I actually start the
review, to give other reviewers a chance to beat me to it :)
Comment 2 Aurelien Bompard 2006-05-25 05:36:20 EDT
You should Buildrequire python-ogg-devel (which will already require
libogg-devel, which requires libogg)
 -> in the end you only need to buildrequire python-devel, libogg-devel and
libvorbis-devel
Comment 3 Hugo Cisneiros 2006-05-25 06:29:16 EDT
Package Updated:

Spec URL: http://www.devin.com.br/eitch/rpm/fedora/SPECS/python-vorbis.spec
SRPM URL: 
http://www.devin.com.br/eitch/rpm/fedora/5/SRPMS/python-vorbis-1.3-2.src.rpm

Changes:

- Improvements in BuildRequires dependencies (point to python-ogg)
Comment 4 Aurelien Bompard 2006-05-25 07:58:05 EDT
You don't need to BuildRequire python-ogg, it will be added by python-ogg-devel
Comment 5 Hugo Cisneiros 2006-05-25 08:04:32 EDT
Done, thanks
Comment 6 Aurelien Bompard 2006-05-25 11:33:52 EDT
Review for release 2:
* RPM name is OK
* Source pyvorbis-1.3.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine
APPROVED
Comment 7 Hugo Cisneiros 2006-05-30 06:24:41 EDT
Package Imported and built. Closing.
Thanks!
Comment 8 Matthias Saou 2007-03-02 13:24:14 EST
Existing Package CVS Request
============================
Package Name: python-vorbis
NEW Short Description: Python wrapper for the Ogg Vorbis audio libraries
NEW Owners: matthias@rpmforge.net
NEW Branches: EL-4 EL-5
InitialCC: none

Hugo Cisneiros has been AWOL :
https://www.redhat.com/archives/fedora-extras-list/2007-March/msg00017.html

(I still don't have rights to set the fedora-cvs flag...)

Note You need to log in before you can comment on or make changes to this bug.